Package org.eclipse.ui.internal

# Class ActionSetManager

java.lang.Object
org.eclipse.ui.internal.ActionSetManager

public class ActionSetManager extends Object
Maintains a reference counted set of action sets, with a visibility mask. This is used to determine the visibility of actions in a workbench page. In a workbench page, there may be may be many conditions that can cause an action set to become visible (such as the active part, the active editor, the default visibility of the action, the properties of the perspective, etc.) The user can also explicitly mask off particular action sets in each perspective.

The reference count indicates how many conditions have requested that the actions be active and the mask indicates whether or not the set was disabled by the user.

Since:
  3.1

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CHANGE_HIDE`
`static final int`
`CHANGE_MASK`
`static final int`
`CHANGE_SHOW`
`static final int`
`CHANGE_UNMASK`
`static final int`
`PROP_HIDDEN`
`static final int`
`PROP_VISIBLE`

## Constructor Summary

Constructors
Constructor
Description
`ActionSetManager(IServiceLocator locator)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addListener(IPropertyListener l)`
`void`
`change(org.eclipse.ui.internal.registry.IActionSetDescriptor descriptor, int changeType)`
`Collection`
`getVisibleItems()`
`void`
`hideAction(org.eclipse.ui.internal.registry.IActionSetDescriptor descriptor)`
`void`
`maskAction(org.eclipse.ui.internal.registry.IActionSetDescriptor descriptor)`
`void`
`removeListener(IPropertyListener l)`
`void`
`showAction(org.eclipse.ui.internal.registry.IActionSetDescriptor descriptor)`
`void`
`unmaskAction(org.eclipse.ui.internal.registry.IActionSetDescriptor descriptor)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PROP_VISIBLE

public static final int PROP_VISIBLE

See Also:
  - Constant Field Values

### PROP_HIDDEN

public static final int PROP_HIDDEN

See Also:
  - Constant Field Values

### CHANGE_MASK

public static final int CHANGE_MASK

See Also:
  - Constant Field Values

### CHANGE_UNMASK

public static final int CHANGE_UNMASK

See Also:
  - Constant Field Values

### CHANGE_SHOW

public static final int CHANGE_SHOW

See Also:
  - Constant Field Values

### CHANGE_HIDE

public static final int CHANGE_HIDE

See Also:
  - Constant Field Values

## Constructor Details

### ActionSetManager

public ActionSetManager(IServiceLocator locator)

## Method Details

### addListener

public void addListener(IPropertyListener l)

### removeListener

public void removeListener(IPropertyListener l)

### showAction

public void showAction(org.eclipse.ui.internal.registry.IActionSetDescriptor descriptor)

### hideAction

public void hideAction(org.eclipse.ui.internal.registry.IActionSetDescriptor descriptor)

### maskAction

public void maskAction(org.eclipse.ui.internal.registry.IActionSetDescriptor descriptor)

### unmaskAction

public void unmaskAction(org.eclipse.ui.internal.registry.IActionSetDescriptor descriptor)

### getVisibleItems

public Collection getVisibleItems()

### change

public void change(org.eclipse.ui.internal.registry.IActionSetDescriptor descriptor, int changeType)